Summary:	Free replacement of the base sounds for OpenTTD
Summary(pl.UTF-8):	Darmowy zastępnik podstawowych dźwięków dla OpenTTD
Name:		openttd-opensfx
Version:	1.0.3
Release:	1
License:	GPL v2+
Group:		Applications/Games
Source0:	https://cdn.openttd.org/opensfx-releases/%{version}/opensfx-%{version}-source.tar.xz
# Source0-md5:	f0f58ef6e377acb81a6a07756179d289
URL:		http://wiki.openttd.org/OpenSFX
BuildRequires:	catcodec
BuildRequires:	sed >= 4.0
Requires:	openttd-data
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSFX is a free replacement of the base sounds for OpenTTD, so that
OpenTTD can be played without requiring the (copyrighted) files from
the TTD CD.

%description -l pl.UTF-8
OpenSFX to darmowy zastępnik podstawowych dźwięków dla OpenTTD, który
umożliwa granie w OpenTTD bez potrzeby wgrywania oryginalnych plików z
TTD, chronionych prawami autorskimi.

%prep
%setup -q -n opensfx-%{version}-source
%{__sed} -i 's,$(INSTALL_DIR),$(DESTDIR)$(INSTALL_DIR),' scripts/Makefile.bundles

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_DIR="$RPM_BUILD_ROOT%{_datadir}/openttd/baseset" \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/{changelog.txt,readme.txt}
%{_datadir}/openttd/baseset/opensfx-%{version}.tar
%changelog
* Mon Nov 01 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openttd-opensfx.git;a=log;h=master

* Mon Nov 01 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a33a1dc
- up to 1.0.3

* Mon Oct 18 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e306765
- up to 1.0.2

* Sun May 23 2021 Jan Rękorajski <baggins@pld-linux.org> cf33c89
- this should be installed to /baseset directory, accotding to the readme
- rel 2

* Sat May 01 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 520452b
- up to 1.0.1

* Sat May 01 2010 sparky <sparky@pld-linux.org> e578b72
- %{version}-ize %files

* Fri Apr 23 2010 lisu <lisu@pld-linux.org> 15aff39
- better URL

* Fri Apr 23 2010 lisu <lisu@pld-linux.org> b89bd42
- new

